#!/usr/bin/env node
import P from "lodash.template";
import d from "lodash.get";
import f from "lodash.lowerfirst";
import y from "chalk";
import { readFileSync as x } from "node:fs";
import { join as t } from "node:path";
import { rootPath as l, configRootPath as u } from "./path.config.mjs";
const _ = (r, i, s) => {
  const h = {
    ...i,
    src: r.src,
    srcExample: r.srcExample,
    nameLowerFirst: f(i.name),
    $: "$"
  }, p = !!r.type, e = s.reduce(
    (o, n) => {
      if (!p && n.startsWith("type."))
        return console.log(
          y.green(
            `未配置type, ${n}路径解析跳过${Array(50 - n.length).fill("").join("_")}`
          )
        ), o;
      let a = d(r, n, "");
      if (n.endsWith(".templateFilePath")) {
        const c = t(
          l,
          u,
          a
        );
        a = x(c, "utf-8");
      }
      const F = P(a);
      return o[n] = F(h), console.log(
        y.green(
          `${n}模板解析完成${Array(50 - n.length).fill("").join("_")}`
        )
      ), o;
    },
    {}
  ), m = {
    componentDirPath: t(l, e["component.dir"]),
    componentFileContent: e["component.templateFilePath"],
    componentFilePath: t(
      l,
      e["component.dir"],
      e["component.fileName"]
    ),
    componentEntryFileAddContent: e["component.entryTemplate"],
    componentEntryFilePath: t(l, e["component.entryPath"]),
    styleDirPath: t(l, e["style.dir"]),
    styleFileContent: e["style.templateFilePath"],
    styleFilePath: t(l, e["style.dir"], e["style.fileName"]),
    styleVarFileAddContent: e["style.varTemplate"],
    styleVarFilePath: t(l, e["style.varPath"]),
    styleEntryFileAddContent: e["style.entryTemplate"],
    styleEntryFilePath: t(l, e["style.entryPath"]),
    exampleDirPath: t(l, e["example.dir"]),
    exampleFileContent: e["example.templateFilePath"],
    exampleFilePath: t(
      l,
      e["example.dir"],
      e["example.fileName"]
    ),
    exampleEntryFileAddContent: e["example.entryTemplate"],
    exampleEntryFilePath: t(l, e["example.entryPath"])
  };
  return p ? {
    ...m,
    useTypeDir: !0,
    typeDirPath: t(l, e["type.dir"]),
    typeFileContent: e["type.templateFilePath"],
    typeFilePath: t(l, e["type.dir"], e["type.fileName"]),
    typeEntryFileAddContent: e["type.entryTemplate"],
    typeEntryFilePath: t(l, e["type.entryPath"])
  } : {
    ...m,
    useTypeDir: !1
  };
};
export {
  _ as resolveTemplate
};
