import type { ArgumentsCamelCase } from "yargs";
import type { ConfigInfo } from "./template";
export type ChildCmd = "add" | "remove";
/**
 * 获取所有名称信息
 */
export declare const getAllNameInfo: ({ name, series, }: {
    name: string;
    series?: string | undefined;
}) => {
    series: string;
    name: string;
    full: string;
    cls: string;
    dir: string;
};
export declare const dealAdd: ({ argv, configInfo, }: {
    argv: ArgumentsCamelCase;
    configInfo: ConfigInfo;
    src: string;
}) => Promise<void>;
export declare const dealRemove: ({ configInfo, src, }: {
    argv: ArgumentsCamelCase;
    configInfo: ConfigInfo;
    src: string;
}) => Promise<void>;
export declare const handler: (cmd: ChildCmd, argv: ArgumentsCamelCase) => Promise<void>;
